org.encog.ml.data.versatile.normalizers.strategies

## Interface NormalizationStrategy

- All Known Implementing Classes:
    BasicNormalizationStrategy

      public interface NormalizationStrategy

  Defines the interface to a normalization strategy.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `denormalizeColumn(ColumnDefinition colDef, boolean isInput, MLData output, int idx)` Normalize a column, with a double input.
    `int` | `normalizeColumn(ColumnDefinition colDef, boolean isInput, double value, double[] outpuData, int outputColumn)` Normalize a column, with a double value.
    `int` | `normalizeColumn(ColumnDefinition colDef, boolean isInput, String value, double[] outpuData, int outputColumn)` Normalize a column, with a string input.
    `int` | `normalizedSize(ColumnDefinition colDef, boolean isInput)` Calculate how many elements a column will normalize into.

- - ### Method Detail

    - #### normalizedSize

          int normalizedSize(ColumnDefinition colDef,
                           boolean isInput)

      Calculate how many elements a column will normalize into.
      Parameters:
        `colDef` - The column definition.
        `isInput` - True, if this is an input column.
      Returns:
        The number of elements needed to normalize this column.

    - #### normalizeColumn

          int normalizeColumn(ColumnDefinition colDef,
                            boolean isInput,
                            String value,
                            double[] outpuData,
                            int outputColumn)

      Normalize a column, with a string input.
      Parameters:
        `colDef` - The column definition.
        `isInput` - True, if this is an input column.
        `value` - The value to normalize.
        `outpuData` - The output data.
        `outputColumn` - The element to begin outputing to.
      Returns:
        The new output element, advanced by the correct amount.

    - #### denormalizeColumn

          String denormalizeColumn(ColumnDefinition colDef,
                                 boolean isInput,
                                 MLData output,
                                 int idx)

      Normalize a column, with a double input.
      Parameters:
        `colDef` - The column definition.
        `isInput` - True, if this is an input column.
        `value` - The value to normalize.
        `outpuData` - The output data.
        `outputColumn` - The element to begin outputing to.
      Returns:
        The new output element, advanced by the correct amount.

    - #### normalizeColumn

          int normalizeColumn(ColumnDefinition colDef,
                            boolean isInput,
                            double value,
                            double[] outpuData,
                            int outputColumn)

      Normalize a column, with a double value.
      Parameters:
        `colDef` - The column definition.
        `isInput` - True, if this is an input column.
        `value` - The value to normalize.
        `outpuData` - The output data.
        `outputColumn` - The element to begin outputing to.
      Returns:
        The new output element, advanced by the correct amount.

Copyright © 2014. All Rights Reserved.